public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Kent Fredric" <kentnl@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: dev-perl/DBD-Pg/
Date: Fri,  7 Aug 2020 16:06:42 +0000 (UTC)	[thread overview]
Message-ID: <1596816389.aee44b1c9af13f14bc14dec065f836f20628f1aa.kentnl@gentoo> (raw)

commit:     aee44b1c9af13f14bc14dec065f836f20628f1aa
Author:     Kent Fredric <kentnl <AT> gentoo <DOT> org>
AuthorDate: Fri Aug  7 16:05:56 2020 +0000
Commit:     Kent Fredric <kentnl <AT> gentoo <DOT> org>
CommitDate: Fri Aug  7 16:06:29 2020 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=aee44b1c

dev-perl/DBD-Pg: Bump to version 3.14.0

- Restore tests broken in 3.13.0

Upstream:
- $dbh->{primary,foreign}_key_info methods now always return a statement
  handle even without matches. Callers should check row-count instead of
  undefness.
- $dbh->tables now always returns a list, even if empty
- Add support for pg_lo_{tell64,seek64,truncate64} for people dealing
  with ultra-large 'large objects' in Postgres 9.3 or greater.
- Fix tests to run when not super-user
- Fix tests to force loading proper version of DBD::Pg
- Remove deprecated _pg_use_catalog method

Package-Manager: Portage-2.3.103, Repoman-2.3.22
Signed-off-by: Kent Fredric <kentnl <AT> gentoo.org>

 dev-perl/DBD-Pg/DBD-Pg-3.14.0.ebuild | 110 +++++++++++++++++++++++++++++++++++
 dev-perl/DBD-Pg/Manifest             |   1 +
 2 files changed, 111 insertions(+)

diff --git a/dev-perl/DBD-Pg/DBD-Pg-3.14.0.ebuild b/dev-perl/DBD-Pg/DBD-Pg-3.14.0.ebuild
new file mode 100644
index 00000000000..b87f46e3ebd
--- /dev/null
+++ b/dev-perl/DBD-Pg/DBD-Pg-3.14.0.ebuild
@@ -0,0 +1,110 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+DIST_AUTHOR=TURNSTEP
+inherit perl-module
+
+DESCRIPTION="PostgreSQL database driver for the DBI module"
+
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~mips ~ppc ~ppc64 ~s390 ~sparc ~x86 ~ppc-aix ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~x86-macos ~sparc-solaris ~sparc64-solaris ~x64-solaris ~x86-solaris"
+IUSE="test"
+RESTRICT="!test? ( test )"
+
+RDEPEND="
+	virtual/perl-version
+	>=dev-perl/DBI-1.614.0
+	dev-db/postgresql:*
+"
+DEPEND="
+	dev-db/postgresql:*
+"
+BDEPEND="${RDEPEND}
+	virtual/perl-ExtUtils-MakeMaker
+	test? (
+		>=virtual/perl-Test-Simple-0.880.0
+		virtual/perl-Time-HiRes
+	)
+"
+PERL_RM_FILES=(
+	"t/00_signature.t"
+)
+src_prepare() {
+	postgres_include="$(readlink -f "${EPREFIX}"/usr/include/postgresql)"
+	postgres_lib="${postgres_include//include/lib}"
+	# Fall-through case is the non-split postgresql
+	# The active cases instead get us the matching libdir for the includedir.
+	for i in lib lib64 ; do
+		if [ -d "${postgres_lib}/${i}" ]; then
+			postgres_lib="${postgres_lib}/${i}"
+			break
+		fi
+	done
+
+	# env variables for compilation:
+	export POSTGRES_INCLUDE="${postgres_include}"
+	export POSTGRES_LIB="${postgres_lib}"
+	perl-module_src_prepare
+}
+
+src_compile() {
+	mymake=(
+		"OPTIMIZE=${CFLAGS}"
+	)
+	perl-module_src_compile
+}
+
+src_test() {
+	local MODULES=(
+		"Bundle::DBD::Pg v${PV}"
+		"DBD::Pg v${PV}"
+	)
+	local failed=()
+	for dep in "${MODULES[@]}"; do
+		ebegin "Compile testing ${dep}"
+			perl -Mblib="${S}" -M"${dep} ()" -e1 #||
+			#die "Could not load ${dep}"
+		eend $? || failed+=( "$dep" )
+	done
+	if [[ ${failed[@]} ]]; then
+		echo
+		eerror "One or more modules failed compile:";
+		for dep in "${failed[@]}"; do
+			eerror "  ${dep}"
+		done
+		die "Failing due to module compilation errors";
+	fi
+
+	local LIVEDB_TESTS=(
+		"t/01connect.t"
+		"t/02attribs.t"
+		"t/03dbmethod.t"
+		"t/03smethod.t"
+		"t/04misc.t"
+		"t/06bytea.t"
+		"t/07copy.t"
+		"t/08async.t"
+		"t/09arrays.t"
+		"t/12placeholders.t"
+		"t/20savepoints.t"
+		"t/30unicode.t"
+	)
+	if [[ ! -v DBI_DSN ]]; then
+		ewarn "Functional database tests disabled due to lack of configuration."
+		ewarn "Please set the following environment variables values pertaining to a"
+		ewarn "pre-configured Postgres installation in order for tests to work:"
+		ewarn "  DBI_DSN  - A DBI-compatible connection string for a Postgres Database"
+		ewarn "             ( eg: dbi:Pg:dbname=testdb )"
+		ewarn "  DBI_USER - A Postgres Database Username"
+		ewarn "  DBI_PASS - A Postgres Database Password"
+		ewarn ""
+		ewarn "For details, visit:"
+		ewarn " https://wiki.gentoo.org/wiki/Project:Perl/maint-notes/dev-perl/DBD-Pg"
+		perl_rm_files "${LIVEDB_TESTS[@]}"
+	fi
+	# Parallel testing breaks database access
+	DBDPG_TEST_ALWAYS_ENV=1 DIST_TEST="do" perl-module_src_test
+
+}

diff --git a/dev-perl/DBD-Pg/Manifest b/dev-perl/DBD-Pg/Manifest
index 935042debac..fce3c658d68 100644
--- a/dev-perl/DBD-Pg/Manifest
+++ b/dev-perl/DBD-Pg/Manifest
@@ -1,5 +1,6 @@
 DIST DBD-Pg-3.10.0.tar.gz 268414 BLAKE2B da6ac65519632aa95ee2554607d5e26820527042873ab78a9e40e671902b1b8e2fe39f37e44b15cf3db8eda243e57c7fab9077d4a08ec7f3c312825609fbc805 SHA512 46c985bbdeeed4ef60d6fe06034fa0959df288f2b9bbd434e2716676a3cb7a1ded168a3cf87a6a82eb397eb8edcc023c0b85483e948ce31abcac64a1919580ba
 DIST DBD-Pg-3.13.0.tar.gz 278332 BLAKE2B cf405cd2afd5095fb7bc824b9fc4ca3c9aa86c3bf0bfe0a651ea21ec48921e97d20b8a4fffc3847d1ebe4c737d29671564b48fafea2f71f7fa0128733f47d0a9 SHA512 70fcf250f143d974fcb96fe597464bd5c91453fe00b36521afbf13e98c60f38ece4e79fa7e0076b273c4e30d67748c0c3be0879ba569a278fb1b1f2124da8913
+DIST DBD-Pg-3.14.0.tar.gz 281910 BLAKE2B 803ea4d153f3832df818dad675603a8610d314695a07c87e32eebc7f967ffb7b10ba413bba712ff710e0ebfbc7866e0be4a0fda36c8174e05d1f2c3efb05433a SHA512 d5eb8a5a8cc6fd6695fbdc8a6763552b3f289fac11b20d94211e3cb0edd2e0df246899369abcffdb10fc198b73fdc8fdbf12d57245c4f61974d265d687e314d6
 DIST DBD-Pg-3.5.3.tar.gz 256570 BLAKE2B f589fc4ed978d2215d66b4cfd72b00e166f15dbe2caf004fa52c09fc6fc9f9b81ed84bc04ec0c4d3fe15f4eabb5a8a3b24b08acabb66b993c3ce67576a4c1721 SHA512 7a564e5c86fa41719289f6e391f0cd39f01df7d088892fca11175c60fec8a3af884f9204ae834caac2024ff0d45dcc013e314ec0c09a07fe7ee76170ec3a634f
 DIST DBD-Pg-3.6.2.tar.gz 258640 BLAKE2B 76e25905b0336eae4ead14c28cf8338412fec023ea0540fc80f5c8d02b1c46de1b42ee8be2230fb3276aa3c8fa2bda9a97ddbd41fc81617a557359907c02d600 SHA512 1f55bd463d90cd0d9933acde0a79462a57f11e7ed9519943cc2cb4487b4b69edd7d16ffa3d666c50aca797f9756ff4e6a0d67b58bc100f4920da36169d73b7b4
 DIST DBD-Pg-3.7.0.tar.gz 260083 BLAKE2B 73ae253e8033dab58075f6dc3c639e5d21f2df09880f59cb00fcdc201c17db1573e4902c4bfd535916775c0ef61a020a70e8f542ce28e257a903d4aabb9f6730 SHA512 edd4d3448dac1b563899c5fd4a1bad6cb810afdbbbf57b558bbe6710aa3e58530a6cf0932e35c3316c7f4f59763764d75ce1049f13c8c13deeb2e8a7c60ff73e


             reply	other threads:[~2020-08-07 16:06 UTC|newest]

Thread overview: 76+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2020-08-07 16:06 Kent Fredric [this message]
  -- strict thread matches above, loose matches on Subject: below --
2024-06-14  0:43 [gentoo-commits] repo/gentoo:master commit in: dev-perl/DBD-Pg/ Sam James
2024-06-09 21:12 Sam James
2024-04-30  2:37 Sam James
2023-12-01 14:44 Arthur Zamarin
2023-09-28  6:17 Sam James
2023-09-27  8:02 Sam James
2023-09-27  5:31 Sam James
2023-09-27  4:58 Sam James
2023-08-26  5:43 Sam James
2023-08-04  9:22 Sam James
2023-07-24  4:15 Sam James
2023-07-24  4:15 Sam James
2023-07-24  4:12 Sam James
2023-07-24  4:03 Sam James
2023-06-21  6:46 Sam James
2021-09-13  4:20 Yixun Lan
2021-08-13  1:05 Sam James
2021-08-06 12:16 Sam James
2021-08-03 11:05 Sam James
2021-08-01  8:03 Sam James
2021-05-24  5:49 Sam James
2021-05-24  5:04 Sam James
2021-05-24  0:12 Sam James
2021-05-24  0:12 Sam James
2021-05-23 23:05 Agostino Sarubbo
2021-05-23 22:28 Agostino Sarubbo
2021-05-23 13:25 Andreas K. Hüttel
2021-05-23 13:25 Andreas K. Hüttel
2021-05-23 12:13 Sergei Trofimovich
2020-12-27 14:54 Fabian Groffen
2020-10-19  3:58 Kent Fredric
2020-09-10 15:35 Kent Fredric
2020-08-18  9:48 Kent Fredric
2020-08-17  1:57 Kent Fredric
2020-07-09  0:19 Kent Fredric
2020-03-19 11:40 Mart Raudsepp
2020-01-09 11:50 Agostino Sarubbo
2020-01-09 11:50 Agostino Sarubbo
2020-01-09 11:49 Agostino Sarubbo
2020-01-08 16:13 Agostino Sarubbo
2020-01-08 16:12 Agostino Sarubbo
2020-01-08  8:15 Agostino Sarubbo
2020-01-07 19:22 Sergei Trofimovich
2019-11-24 12:16 Aaron W. Swenson
2019-07-28 17:02 Aaron Bauman
2019-04-01 19:33 Andreas Sturmlechner
2018-12-27 12:47 Fabian Groffen
2018-10-14 15:15 Mikle Kolyada
2018-07-14 17:54 Sergei Trofimovich
2018-06-26 15:51 Mikle Kolyada
2018-06-25 18:56 Tobias Klausmann
2018-06-03  7:41 Sergei Trofimovich
2017-10-08 10:29 Kent Fredric
2017-07-15 11:13 Aaron Swenson
2017-02-04 17:33 Andreas Hüttel
2017-02-03 21:48 Jeroen Roovers
2017-01-03 10:38 Agostino Sarubbo
2017-01-01 12:43 Agostino Sarubbo
2016-12-30 11:12 Agostino Sarubbo
2016-12-30  9:39 Agostino Sarubbo
2016-12-29 10:45 Agostino Sarubbo
2016-12-20 19:16 Tobias Klausmann
2016-10-26 16:55 Markus Meier
2016-10-03 12:15 Tobias Klausmann
2016-03-05 19:55 Andreas Hüttel
2016-03-05 17:34 Mikle Kolyada
2016-01-24  7:20 Jeroen Roovers
2016-01-17 13:48 Mikle Kolyada
2016-01-12 20:15 Markus Meier
2016-01-10 10:34 Agostino Sarubbo
2016-01-09  6:43 Agostino Sarubbo
2016-01-03 11:54 Agostino Sarubbo
2016-01-02 19:42 Andreas Hüttel
2016-01-02 19:42 Andreas Hüttel
2016-01-02 19:42 Andreas Hüttel

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1596816389.aee44b1c9af13f14bc14dec065f836f20628f1aa.kentnl@gentoo \
    --to=kentnl@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox